| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Attributes | List of all members
uhd_usrp_rx_info_t Struct Reference

USRP RX info. More...

`#include <uhd/types/usrp_info.h>`

## Public Attributes
char * | mboard_id
| Motherboard ID.
char * | mboard_name
| Motherboard name.
char * | mboard_serial
| Motherboard serial.
char * | rx_id
| RX daughterboard ID.
char * | rx_subdev_name
| RX subdev name.
char * | rx_subdev_spec
| RX subdev spec.
char * | rx_serial
| RX daughterboard serial.
char * | rx_antenna
| RX daughterboard antenna.

## Detailed Description

USRP RX info.

This struct is populated by uhd_usrp_get_rx_info().

## Member Data Documentation

## ◆ mboard_id

char* uhd_usrp_rx_info_t::mboard_id

Motherboard ID.

## ◆ mboard_name

char* uhd_usrp_rx_info_t::mboard_name

Motherboard name.

## ◆ mboard_serial

char* uhd_usrp_rx_info_t::mboard_serial

Motherboard serial.

## ◆ rx_antenna

char* uhd_usrp_rx_info_t::rx_antenna

RX daughterboard antenna.

## ◆ rx_id

char* uhd_usrp_rx_info_t::rx_id

RX daughterboard ID.

## ◆ rx_serial

char* uhd_usrp_rx_info_t::rx_serial

RX daughterboard serial.

## ◆ rx_subdev_name

char* uhd_usrp_rx_info_t::rx_subdev_name

RX subdev name.

## ◆ rx_subdev_spec

char* uhd_usrp_rx_info_t::rx_subdev_spec

RX subdev spec.

The documentation for this struct was generated from the following file:

- usrp_info.h